<?php

/* DCMS Special
 * Дата последнего редактирования 09.10.2016
 * Модифицировал densnet
 * Автор yadalay
 */

if ($vars == 0) {
    $db->query('INSERT INTO `forum_votes` SET `id_theme` = ' . $theme->id . ', `id_user` = ' . $user['id'] . ', `name` = " ", `time` = "0", `time_end` = "0"');
    $insert = $db->insert_id();
    $db->query('INSERT INTO `forum_votes_var` SET `id_theme` = ' . $theme->id . ', `id_vote` = ' . $insert . ', `variant` = ""');
    $db->query('INSERT INTO `forum_votes_var` SET `id_theme` = ' . $theme->id . ', `id_vote` = ' . $insert . ', `variant` = ""');
    header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/' . $theme->id . '/create_vote.html');
    exit;
}

if (isset($_POST['create'])) {
    $name = $db->safesql(trim($_POST['name']));

    if ($_POST['time_end'] == 1 || ($_POST['time_end'] != 1 && $_POST['time_end'] != 2 && $_POST['time_end'] != 3 && $_POST['time_end'] != 4 && $_POST['time_end'] != 5 && $_POST['time_end'] != 6)) {
        $time_end = 0;
    } elseif ($_POST['time_end'] == 2) {
        $time_end = time() + 60 * 60 * 24;
    } elseif ($_POST['time_end'] == 3) {
        $time_end = time() + 60 * 60 * 72;
    } elseif ($_POST['time_end'] == 4) {
        $time_end = time() + 60 * 60 * 24 * 7;
    } elseif ($_POST['time_end'] == 5) {
        $time_end = time() + 60 * 60 * 24 * 30;
    } elseif ($_POST['time_end'] == 6) {
        $time_end = time() + 60 * 60 * 24 * 90;
    }

    if (mb_strlen($name) < 5) {
        echo "<div class='alert alert-danger'>" . lang('Слишком короткое содержание опроса') . ".</div>";
    } else {
        $var = $_POST['var'];
        $count_var = count($var);

        for ($i = 0; $i < $count_var; $i++) {
            unset($_SESSION['var'][$i]);
            $var[$i] = $db->safesql(trim($var[$i]));
            $db->query('INSERT INTO `forum_votes_var` SET `id_theme` = ' . $theme->id . ', `variant` = "' . $db->safesql($var[$i]) . '", `id_vote` = ' . $vote->id);
        }

        unset($_SESSION['name']);
        unset($_SESSION['time_end']);

        $_SESSION['message'] = lang('Опрос успешно прикреплён к теме');

        $db->query('UPDATE `forum_votes` SET  `name` = "' . $name . '", `time` = ' . $time . ', `time_end` = ' . $time_end . ' WHERE `id_theme` = ' . $theme->id);
        $db->query('DELETE FROM `forum_votes_var` WHERE `id_theme` = ' . $theme->id . ' AND `variant` = ""');
        header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/' . $theme->id . '.html');
        exit;
    }
} elseif (isset($_POST['add_var']) && $vars < 8) {
    $_SESSION['name'] = $_POST['name'];
    $_SESSION['time_end'] = $_POST['time_end'];
    $var = $_POST['var'];
    $count_var = count($var);

    for ($i = 0; $i < $count_var; $i++) {
        $_SESSION['var'][$i] = $db->safesql(trim($var[$i]));
    }

    $db->query('INSERT INTO `forum_votes_var` SET `id_theme` = ' . $theme->id . ', `id_vote` = ' . $vote->id . ', `variant` = ""');

    header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/' . $theme->id . '/create_vote.html');
    exit;
} elseif (isset($_POST['delete_var']) && $vars > 2) {
    $_SESSION['name'] = $_POST['name'];
    $_SESSION['time_end'] = $_POST['time_end'];
    $var = $_POST['var'];
    $count_var = count($var) - 1;

    unset($_SESSION['var'][$count_var]);

    $db->query('DELETE FROM `forum_votes_var` WHERE `id_theme` ORDER by `id` DESC LIMIT 1');
    header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/' . $theme->id . '/create_vote.html');
    exit;
} elseif (isset($_POST['cancel'])) {
    $_SESSION['message'] = lang('Опрос успешно отменён');
    $var = $_POST['var'];
    $count_var = count($var);

    for ($i = 0; $i < $count_var; $i++) {
        unset($_SESSION['var'][$i]);
    }

    unset($_SESSION['name']);
    unset($_SESSION['time_end']);

    $db->query('DELETE FROM `forum_votes` WHERE `id_theme` = ' . $theme->id);
    $db->query('DELETE FROM `forum_votes_var` WHERE `id_theme` = ' . $theme->id);

    header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/' . $theme->id . '.html');
    exit;
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_FORUM . "'>" . lang('Форум') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_FORUM . "$forum->id/'>" . toOutput(cutStr($forum->name, 30)) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_FORUM . "$forum->id/$razdel->id/'>" . toOutput(cutStr($razdel->name, 30)) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_FORUM . "$forum->id/$razdel->id/$theme->id.html'>" . toOutput(cutStr($theme->name, 30)) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Создание опроса');
echo "</small></div><br />";

echo "<form class='list-group-item-null' action='" . DIR_FORUM . "$forum->id/$razdel->id/$theme->id/create_vote.html' method='post'>";

$doc->Textarea('name', 'Содержание опроса');

echo lang('Варианты ответов') . ":<br />";
for ($i = 0; $i < $vars; $i++) {
    echo "<input name='var[]' type='text' value='" . ((isset($_SESSION['var'][$i])) ? toOutput($_SESSION['var'][$i]) : NULL) . "' class='form-control'>";
}

echo "<br />
    <button class='btn btn-primary btn-sm' type='submit' name='add_var' " . (($vars > 7) ? 'disabled="disabled"' : NULL) . ">" . lang('Ещё вариант') . "</button>
    <button class='btn btn-primary btn-sm' type='submit' name='delete_var' " . (($vars < 3) ? 'disabled="disabled"' : NULL) . ">" . lang('Убрать вариант') . "</button><br />";

echo lang('Окончания через') . ":<br />
    <select name='time_end' class='form-control'>";

if (isset($_SESSION['time_end']) && $_SESSION['time_end'] == 1) {
    $sel = "selected='selected'";
} elseif (isset($_SESSION['time_end']) && $_SESSION['time_end'] == 2) {
    $sel = "selected='selected'";
} elseif (isset($_SESSION['time_end']) && $_SESSION['time_end'] == 3) {
    $sel = "selected='selected'";
} elseif (isset($_SESSION['time_end']) && $_SESSION['time_end'] == 4) {
    $sel = "selected='selected'";
} elseif (isset($_SESSION['time_end']) && $_SESSION['time_end'] == 5) {
    $sel = "selected='selected'";
} elseif (isset($_SESSION['time_end']) && $_SESSION['time_end'] == 6) {
    $sel = "selected='selected'";
} else {
    $sel = null;
}

echo "
    <option value='1' $sel>" . lang('Бессрочно') . "</option>
    <option value='2' $sel>1 " . lang('День') . "</option>
    <option value='3' $sel>3 " . lang('Дня') . "</option>
    <option value='4' $sel>1 " . lang('Неделю') . "</option>
    <option value='5' $sel>1 " . lang('Месяц') . "</option>
    <option value='6' $sel>3 " . lang('Месяца') . "</option>";

echo "</select>";

echo "<hr>";

$doc->Button('btn btn-primary btn-sm', 'create', null, 'Создать');
$doc->Button('btn btn-secondary btn-sm', 'cancel', null, 'Отменить');

echo "</form>";

require_once H . 'sys/inc/tfoot.php';
exit;
